Name:           ghex
Version:        2.24.0
Release:        4%{?dist}

Summary:        Binary editor for GNOME

Group:          Applications/Editors
License:        GPLv2+
URL:            http://ftp.gnome.org/pub/GNOME/sources/ghex/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/ghex/2.24/ghex-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel
BuildRequires:  libgnomeprintui22-devel
BuildRequires:  gail-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  scrollkeeper
BuildRequires:  perl-XML-Parser
BuildRequires:  gnome-doc-utils
BuildRequires:  libtool
BuildRequires:  intltool
Requires(post): GConf2
Requires(post): scrollkeeper
Requires(post): /sbin/ldconfig
Requires(postun): GConf2
Requires(postun): scrollkeeper
Requires(postun): /sbin/ldconfig

%description
GHex allows the user to load data from any file, view and edit it in
either hex or ascii. A must for anyone playing games that use
non-ascii format for saving.

%package        devel
Summary:        Static library and include files for ghex
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       gail-devel

%description    devel
This package contains a static library and include files for ghex.

%prep
%setup -q

%build
%configure --disable-schemas-install --disable-static
#Use system libtool to prevent the libtool in the package
#to set standard rpath to the generated binaries
make %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install \
  --delete-original                                        \
  --vendor fedora                                          \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications            \
  --add-category X-Fedora                                  \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}-2.0


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :
scrollkeeper-update -q


%postun
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :
scrollkeeper-update -q


%files -f %{name}-2.0.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-DOCS ChangeLog README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/gnome/help/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/icons/hicolor/*/apps/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gtkhex
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%exclude %{_libdir}/*.a


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 20 2009 Dodji Seketeli <dodji@redhat.org> 2.24.0-2
- Use %{?dist} in the Release number

* Fri Feb 20 2009 Dodji Seketeli <dodji@redhat.org> 2.24.0-1
- Update to 2.24.0
- Use system libtool
- Explicitely exclude static libraries
- Added BuildRequires intltools,libtool

* Fri Apr 11 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.22.0-1
- Update to 2.22.0 (no code changes, just a late release for Gnome 2.22 with
  updated translations)

* Sun Mar 02 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.21.92-1
- Update to 2.21.92

* Fri Feb 08 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.21.90-1
- Update to 2.21.90

* Sat Dec 29 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.21.4-1
- Update to 2.21.4
- Pass --disable-static to configure
- remove obsolete rm -rf RPM_BUILD_ROOT/var/scrollkeeper from install section

* Fri Dec 14 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.20.1-1
- Update to 2.20.1

* Fri Sep 21 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.20.0-1
- Update to 2.20.0

* Fri Aug 31 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.19.91-1
- Update to 2.19.91

* Fri Aug 17 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.19.90-1
- Update to 2.19.90

* Fri Aug 09 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2.19.0-1
- Update to 2.19.0 and drop patches (stuff got fixed upstream)
- use make isntall instread of %%makeinstall

* Fri Aug 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info>
- Update License field due to the "Licensing guidelines changes"

* Sun May 20 2007 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.8.2-5
- Update project URL (#240646)

* Tue Aug 29 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.8.2-4
- Add BR perl-XML-Parser

* Tue Aug 29 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.8.2-3
- Rebuild for devel

* Wed Aug 09 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> 2.8.2-2
- apply ghex-search-crash.patch from b.g.o #339055 -- fixes #175957 

* Sat Jul 15 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> 2.8.2-1
- Update to 2.8.2
- Don't use the libtool worksaroung anymore
- Rename ghex-2.8.0-no-scrollkeeper.patch to
  ghex-no-scrollkeeper.patch and and update it

* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>
- Rebuild for Fedora Extras 5

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Jan 09 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.8.1-2
- Use make param LIBTOOL=/usr/bin/libtool instead autoreconf -- fixes x86_64
  build

* Mon Dec 27 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.8.1-1
- Update to 2.8.1
- recreate autoconf & co data during pre; fixes build issues on x86_64

* Tue Dec 21 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.8.0-3
- Ran into the incomplete-removal-of-epoch trap. Fixed that.

* Wed Nov 10 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.8.0-2
- Add patch to prevent scrollkeeper-updates during %%install.
- Drop Epoch.

* Sun Oct 17 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.8.0-0.fdr.1
- Updated to 2.8.0.

* Fri Jun  4 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.6.1-0.fdr.1
- Updated to 2.6.1.
- Reenabled parallel make (fixed upstream).

* Mon May 17 2004 Mark A. Fonnemann <m.fonneman.n@bc.edu> - 0:2.6.0-0.fdr.1
- Updated to 2.6.0.
- Divided Requires(post, postun) into Requires(post) and Requires(postun) (thanks, Michael Schwendt).
- Added gtk2-devel and gail-devel to build requirements (thanks, Michael).
- Changed {_datadir}/path to {_datadir}/path/* (thanks again, Michael).

* Thu Oct 23 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.4.0.1-0.fdr.4
- Reverted previous change.
- Disabled parallell make.
- Added build req scrollkeeper.

* Sat Oct 11 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.4.0.1-0.fdr.3
- Remove sr@Latn locale from desktop file if old desktop-file-install.

* Thu Oct  9 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.4.0.1-0.fdr.2
- Post req GConf2.
- Split out devel package.
- Added URL.

* Wed Sep 24 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.4.0.1-0.fdr.1
- Initial RPM release.
